Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[blocks B ] <=dev-db/postgresql-8.0.8 (is blocking dev-db/li
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
psm314
n00b
n00b


Joined: 21 Jun 2006
Posts: 9

PostPosted: Tue Dec 19, 2006 7:19 am    Post subject: [blocks B ] <=dev-db/postgresql-8.0.8 (is blocking dev-db Reply with quote

emerge -ua postgresql

[blocks B ] <=dev-db/postgresql-8.0.8 (is blocking dev-db/libpq-8.0.9)
[ebuild U ] dev-db/libpq-8.0.9 [8.0.8] USE="-pg-intdatetime% -threads%"
[ebuild U ] dev-db/postgresql-8.0.9-r1 [8.0.8] USE="-perl* -test%"

Насколько я понял мне поможет:
emrge -C postgresql; emerge -u postgresql

после рестарт:
/etc/init.d/postgresql restart

Но останеться ли после этого база работоспособной ?
Нужно ли пересобирать пакеты использующие libpq ?
Back to top
View user's profile Send private message
Laitr Keiows
Moderator
Moderator


Joined: 04 Jul 2005
Posts: 891
Location: Kobe, Japan

PostPosted: Tue Dec 19, 2006 8:03 am    Post subject: Reply with quote

тебе поможет это:
Code:
emerge \>dev-db/postgresql-8.0.8

Если откажется устанавливайть, то делай все что тебе там скажут.
Скажут скорее всего так:
Code:
For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
psm314
n00b
n00b


Joined: 21 Jun 2006
Posts: 9

PostPosted: Tue Dec 19, 2006 8:16 am    Post subject: Reply with quote

Laitr Keiows wrote:
тебе поможет это:
Code:
emerge \>dev-db/postgresql-8.0.8

Если откажется устанавливайть, то делай все что тебе там скажут.
Скажут скорее всего так:
Code:
For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.


emerge \>dev-db/postgresql-8.0.8
Calculating dependencies... done!

!!! Error: the <=dev-db/postgresql-8.0.8 package conflicts with another package;
!!! the two packages cannot be installed on the same system together.
!!! Please use 'emerge --pretend' to determine blockers.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
Back to top
View user's profile Send private message
Laitr Keiows
Moderator
Moderator


Joined: 04 Jul 2005
Posts: 891
Location: Kobe, Japan

PostPosted: Tue Dec 19, 2006 9:37 am    Post subject: Reply with quote

psm314 wrote:
For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

Я тебя предупреждал! :evil:

Сходи по ссылке и прочитай что там написано.
Back to top
View user's profile Send private message
psm314
n00b
n00b


Joined: 21 Jun 2006
Posts: 9

PostPosted: Tue Dec 19, 2006 10:02 am    Post subject: Reply with quote

Laitr Keiows wrote:
psm314 wrote:
For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

Я тебя предупреждал! :evil:

Сходи по ссылке и прочитай что там написано.


Quote:
To fix a blockage, you can choose to not install the package or unmerge the conflicting package first.


Там написанно что я либо могу не ставить пакет (postgresql-8.0.9-r1)
или удалить конфликтующий (dev-db/postgresql-8.0.8 ) ...

в своем вопросе, в первом посте, я предполагаю второй вариант ( emrge -C postgresql; emerge -u postgresql ),
а суть вопроса в том что после
Code:

emrge -C postgresql; emerge -u postgresql
/etc/init.d/postgresql restart

portage сохранит все настройки коректно и база останеться рабочей ?
Back to top
View user's profile Send private message
Laitr Keiows
Moderator
Moderator


Joined: 04 Jul 2005
Posts: 891
Location: Kobe, Japan

PostPosted: Tue Dec 19, 2006 10:10 am    Post subject: Reply with quote

psm314 wrote:

Code:

emrge -C postgresql; emerge -u postgresql
/etc/init.d/postgresql restart

portage сохранит все настройки коректно и база останеться рабочей ?

Не могу дать никаких гарантий, т.к. с postgresql не работал. На всякий случай сделай дамп базы, а потом не забудь сделать dispatch-conf.
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Tue Dec 19, 2006 8:25 pm    Post subject: Reply with quote

В данном случае перед апгрейдом я бы крепко подумал.
Для ПГ классическая ситуация, когда для полного апгреда надо сделать дамп базы, поставить новые бинарники и потом проимпортировать дамп.

В противном случае база не поднимется.
Back to top
View user's profile Send private message
psm314
n00b
n00b


Joined: 21 Jun 2006
Posts: 9

PostPosted: Wed Dec 20, 2006 5:02 am    Post subject: Reply with quote

viy wrote:
В данном случае перед апгрейдом я бы крепко подумал.
Для ПГ классическая ситуация, когда для полного апгреда надо сделать дамп базы, поставить новые бинарники и потом проимпортировать дамп.

В противном случае база не поднимется.


Спасибо, все получилось. Когда буду обновляться на 8.1 так и сделаю
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Wed Dec 20, 2006 10:13 am    Post subject: Reply with quote

Я бы крайне рекомендовал сразу на 8.2 прыгать.
То, что его нет в портах или он замаскирован ничего --- продукт крайне стабильный сразу от разработчиков.
Я его, кстати, никогда из портов не использую (только в качестве клиентской библиотеки) --- ставлю сам из исходников.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum